import { DTModel, DTModelGroup } from "../interface/model";
declare class ModelGroup<M extends DTModel> extends Array<M> implements DTModelGroup<M> {
    constructor(list: Array<M>);
    set visible(visible: boolean);
    set color(color: string);
    set opacity(opacity: number);
    set disabled(disabled: boolean);
    dispose(): Promise<void>;
    removeFromParent(): Promise<void>;
}
export default function modelGroupCreator<M extends DTModel>(model: M[]): ModelGroup<M>;
export {};
